import { Ext, LayoutManipulation, LayoutPositionOptions } from 'cytoscape';
import { GraphModel } from '../GraphModel';
import { CustomGraphLayout } from '../types';
export declare type CustomLayoutOptions = {
    model: GraphModel;
    algorithm: CustomGraphLayout;
};
export declare class CytoscapeGraphLayoutAdapter implements LayoutManipulation {
    private readonly options;
    static readonly LAYOUT_NAME: string;
    constructor(options: LayoutPositionOptions & CustomLayoutOptions);
    static register: Ext;
    run(): this;
    start(): this;
    stop(): this;
}
